org.eclipse.net4j.util.fsm

## Class FiniteStateMachine.StateChangedEvent

- java.lang.Object
- - org.eclipse.net4j.util.fsm.FiniteStateMachine.StateChangedEvent

- All Implemented Interfaces:
    IEvent
  Enclosing class:
    FiniteStateMachine<STATE extends java.lang.Enum<?>,EVENT extends java.lang.Enum<?>,SUBJECT>

      public class FiniteStateMachine.StateChangedEvent
      extends java.lang.Object
      implements IEvent

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateChangedEvent(java.lang.Object subject, java.lang.Enum<?> oldState, java.lang.Enum<?> newState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Enum<?>` | `getNewState()`
    `java.lang.Enum<?>` | `getOldState()`
    `INotifier` | `getSource()`
    `java.lang.Object` | `getSubject()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StateChangedEvent

          public StateChangedEvent(java.lang.Object subject,
                                   java.lang.Enum<?> oldState,
                                   java.lang.Enum<?> newState)

  - ### Method Detail

    - #### getSource

          public INotifier getSource()

      Specified by:
        `getSource` in interface `IEvent`

    - #### getSubject

          public java.lang.Object getSubject()

    - #### getOldState

          public java.lang.Enum<?> getOldState()

    - #### getNewState

          public java.lang.Enum<?> getNewState()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html